com.dlsc.flexgantt.swing.action.timeline

## Class AbstractTimelineAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.timeline.AbstractTimelineAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    EventlineAction, ScrollTimelineAction

      public abstract class AbstractTimelineAction
      extends AbstractFlexGanttAction

  An abstract action implementation that is specialized on performing operations on a timeline. The class provides methods for setting and getting a reference to a timeline.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Timeline` | `timeline` Stores a reference to the timeline.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTimelineAction(Timeline timeline, String name)` Constructs a new timeline action.
    `AbstractTimelineAction(Timeline timeline, String name, Icon icon)` Constructs a new timeline action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Timeline` | `getTimeline()` Returns the timeline on which the action will be performed.
    `void` | `setTimeline(Timeline timeline)` Sets a new timeline on which the action will be performed.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### timeline

          protected Timeline timeline

      Stores a reference to the timeline.
      Since:
        1.0
      See Also:
        `setTimeline(Timeline)`, `getTimeline()`

  - ### Constructor Detail

    - #### AbstractTimelineAction

          public AbstractTimelineAction(Timeline timeline,
                                        String name,
                                        Icon icon)

      Constructs a new timeline action.
      Parameters:
        `timeline` - the timeline on which to perform the action
        `name` - the name of the action that will be displayed on buttons and / or menu items
        `icon` - a graphical representation of the action
      Since:
        1.0

    - #### AbstractTimelineAction

          public AbstractTimelineAction(Timeline timeline,
                                        String name)

      Constructs a new timeline action.
      Parameters:
        `timeline` - the timeline on which to perform the action
        `name` - the name of the action that will be displayed on buttons and / or menu items
      Since:
        1.0

  - ### Method Detail

    - #### getTimeline

          public Timeline getTimeline()

      Returns the timeline on which the action will be performed.
      Returns:
        the timeline that is the target of the action
      Since:
        1.0

    - #### setTimeline

          public void setTimeline(Timeline timeline)

      Sets a new timeline on which the action will be performed.
      Parameters:
        `timeline` - the new target timeline of the action
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.